org.firebirdsql.gds.ng.wire.version15

## Class V15Database

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbAttachment<T>
  - - org.firebirdsql.gds.ng.AbstractFbDatabase<WireDatabaseConnection>
    - - org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase
      - - org.firebirdsql.gds.ng.wire.version10.V10Database
        - - org.firebirdsql.gds.ng.wire.version11.V11Database
          - - org.firebirdsql.gds.ng.wire.version12.V12Database
            - - org.firebirdsql.gds.ng.wire.version13.V13Database
              - - org.firebirdsql.gds.ng.wire.version15.V15Database

All Implemented Interfaces:
  java.lang.AutoCloseable, FbAttachment, FbDatabase, ExceptionListenable, TransactionListener, FbWireAttachment, FbWireDatabase

Direct Known Subclasses:
  V16Database

    public class V15Database
    extends V13Database

`FbWireDatabase` implementation for the version 15 wire protocol.

Since:
  4.0
Author:
  Mark Rotteveel

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`FbWireAttachment.AcceptPacket`

### Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

`protocolDescriptor, wireOperations`

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

`databaseListenerDispatcher`

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

`connection, exceptionListenerDispatcher`

### Constructor Summary

Constructors
`protected` `V15Database(WireDatabaseConnection connection, ProtocolDescriptor descriptor)` Creates a V15Database instance.

### Method Summary

### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13Database

`getTransactionIdBuffer`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version12.V12Database

`cancelOperation, getFilenameEncoding`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Database

`enqueueDeferredAction, releaseObject`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Database

`afterAttachActions, attach, attachOrCreate, authReceiveResponse, createDatabase, createStatement, doReleaseObjectPacket, dropDatabase, executeImmediate, getBlrCalculator, getDatabaseInfo, getHandle, initAsynchronousChannel, internalDetach, processAttachOrCreateResponse, processReleaseObjectResponse, reconnectTransaction, sendAttachOrCreateToBuffer, startTransaction`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

`cancelEvent, checkAttached, checkConnected, closeConnection, consumePackets, countEvents, createBlobForInput, createBlobForOutput, createEventHandle, finalize, forceClose, getXdrIn, getXdrOut, getXdrStreamAccess, isAttached, queueEvent, readGenericResponse, readResponse, readSqlResponse, setNetworkTimeout`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

`addDatabaseListener, addWeakDatabaseListener, close, createBlobParameterBuffer, createTransactionParameterBuffer, emptyRowDescriptor, getActiveTransactionCount, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getDatabaseInformationProcessor, getDatabaseWarningCallback, getDescribeDatabaseInfoBlock, getOdsMajor, getOdsMinor, getParameterDescriptionInfoRequestItems, getStatementInfoRequestItems, removeDatabaseListener, setDatabaseDialect, setOdsMajor, setOdsMinor, transactionAdded, transactionStateChanged`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

`addExceptionListener, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, getServerVersionInformation, getSynchronizationObject, removeExceptionListener, safelyDetach, setAttached, setDetached, setServerVersion`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireDatabase

`consumePackets, readResponse, readSqlResponse`

### Methods inherited from interface org.firebirdsql.gds.ng.FbDatabase

`addDatabaseListener, addWeakDatabaseListener, cancelEvent, countEvents, createBlobForInput, createBlobForOutput, createBlobParameterBuffer, createEventHandle, createTransactionParameterBuffer, emptyRowDescriptor, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getOdsMajor, getOdsMinor, queueEvent, removeDatabaseListener`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`getXdrStreamAccess, readGenericResponse`

### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

`close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, getSynchronizationObject, isAttached, setNetworkTimeout`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Constructor Detail

#### V15Database

    protected V15Database(WireDatabaseConnection connection,
                          ProtocolDescriptor descriptor)

Creates a V15Database instance.

Parameters:
  `connection` - A WireConnection with an established connection to the server.
  `descriptor` - The ProtocolDescriptor that created this connection (this is